<html>
<head>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
</head>
<LINK rel="stylesheet" type="text/css" href="../styles.css">
<body>
<table width="100%" border="1" cellspacing="0" cellpadding="0">
  <tr> 
    <td bgcolor="#FFFFCC" class="title" align="center"> Интернет-приемная</td>
  </tr>
</table>
<?
error_reporting(0);

function checkmail($str)
{
$badchars = "[ ]+| |\+|=|[|]|{|}|`|\(|\)|,|;|:|!|<|>|%|\*|/|'|\"|~|\?|#|\\$|\\&|\\^|www[.]";

return (eregi($badchars,$str));
}

function headerconv ($str)
{
$str = trim($str);
$str = stripslashes($str);

return $str;
}

function htmlconv ($str)
{

     if (get_magic_quotes_gpc):

     $str = stripslashes($str);

     endif;

$str = str_replace("\"", "&quot;", $str);
$str = str_replace("<","&lt;",$str);
$str = str_replace(">","&gt;",$str);
$str = str_replace("\r\n", "\n", $str);
$str = str_replace("\r", "\n", $str);
$str = str_replace("\n", "<br>", $str);
$str = str_replace("\$", "&#36;", $str);
$str = str_replace("|", "/", $str);
$str = eregi_replace("(<br>*){2,}","<br><br>",$str);
$str = eregi_replace("[ ]{2,}", " ", $str);
$str = trim($str);

return $str;
}

include ("config.inc");
$form[name]=$_POST['name'];
$form[email]=$_POST['email'];
$form[subject]=$_POST['subject'];
$form[message]=$_POST['message'];
$form[sendcopy]=$_POST['sendcopy'];
//echo $form[name];
//echo $form[email];
//echo $form[subject];
//echo $form[message];
//echo $form[recip];

if ($config[inc_headers] == "on"):

include ($config[header]);

endif;

if ($_GET['action'] != 'send'):

include ("form.inc");

else:

//     if ($form[name] == "" || $form[email] == "" || $form[subject] == "" || $form[message] == ""):
     if ($form[name] == "" || $form[subject] == "" || $form[message] == ""):
	 
     $errorheader = "<p class=\"T\"><b>СООБЩЕНИЕ НЕ ОТПРАВЛЕНО!</b></p>";
     $errormessage = "<p class=\"T\">Небыли заполнены следующие обязательные поля:</p>";
     $errormessage .= "<ol>";

          if ($form[name] == ""): $errormessage .= "<li><p class=\"T\">Ваше имя</p></li>"; endif;
//          if ($form[email] == ""): $errormessage .= "<li><p class=\"T\">Ваш E-Mail</p></li>"; endif;
          if ($form[subject] == ""): $errormessage .= "<li><p class=\"T\">Тема сообщения</p></li>"; endif;
          if ($form[message] == ""): $errormessage .= "<li><p class=\"T\">Текст сообщения</p></li>"; endif;

     $errormessage .= "</ol>";
     $errormessage .= "<p class=\"T\">Пожалуйста, вернитесь назад и попробуйте снова.</p>";

     include ("./error.inc");

     else:

	 if ($form[email] == ""): 
	 	$form[email] = "anonim@anonim.ru";
	 endif;
     $header[subject]  = headerconv($form[subject]);
     $header[name] = headerconv($form[name]);

     $form[name] = htmlconv($form[name]);
     $form[email] = htmlconv($form[email]);
     $form[subject] = htmlconv($form[subject]);
     $form[message] = htmlconv($form[message]);

          if (!(eregi("([a-z0-9_\-\.])+@([a-z0-9_\-\.])+\.([a-z0-9_\-\.])+",$form[email])) || checkmail($form[email])):

          $errorheader = "<p class=\"T\"><b>СООБЩЕНИЕ НЕ ОТПРАВЛЕНО!</b></p>";
          $errormessage  = "<p class=\"T\">Введенный вами адрес E-Mail (".$form[email].") содержит
          недопустимые символы или имеет неправильный формат.</p>";
          $errormessage .= "<p class=\"T\">Пожалуйста, вернитесь назад и попробуйте снова.</p>";

          include ("./error.inc");

          else:

          $contents = file($config[recip_file]);
          $numlines = sizeof($contents);

                for ($i=0;$i<$numlines;$i++) {
                $contents[$i] = explode("|",$contents[$i]);
                }

//          $form[send_to] = $contents[$form[recip]-1][1]."<".$contents[$form[recip]-1][0].">";
//          $form[send_to] = $contents[0][1]."<".$contents[0][0].">";
          $form[send_to] = $contents[0][0];

                 if ($form[sendcopy] == "on" & $form[email] != "anonim@anonim.ru"):

                 $form[send_to]  = $form[send_to] . ", ";
//                 $form[send_to] .= $header[name]."<".$form[email].">";
                 $form[send_to] .= $form[email];

                 endif;

                 $sendmessage = "<html>
                                 <head>
                                 <title>".$form[subject]."</title>
                                 </head>
                                 <table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" width=\"100%\">
                                 <tr>
                                 <td><font face=\"Verdana\" size=\"2\">".$form[message];

                      if ($config[features] == "on"):
					  
					  $ip = "";
					  $proxy = "";
     				  if (isset($_SERVER)) {
					       if (isset($_SERVER["HTTP_X_FORWARDED_FOR"])) {
							   $ip = $_SERVER["HTTP_X_FORWARDED_FOR"];
					           $proxy = $_SERVER["REMOTE_ADDR"];
						   } elseif (isset($_SERVER["HTTP_CLIENT_IP"])) {
					           $ip = $_SERVER["HTTP_CLIENT_IP"];
						   } else {
							   $ip = $_SERVER["REMOTE_ADDR"];
				           }
				     } else {
					       if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {
						       $ip = getenv( 'HTTP_X_FORWARDED_FOR');
						       $proxy = $_SERVER["REMOTE_ADDR"];
						   } elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {
						       $ip = getenv( 'HTTP_CLIENT_IP' );
						   } else {
							   $ip = getenv( 'REMOTE_ADDR' );
					       }
					}
			   if (strstr($ip, ',')) {
			       $ips = explode(',', $ip);
			       $ip = $ips[0];
			   }
			   if ($proxy != '') {
				   $ip = $ip . '(Proxy: '.$proxy.')';
			   }

                      $sendmessage .= "<br><br>----------------------
                                       <br>Обозреватель: $HTTP_USER_AGENT
                                       <br>Адрес IP: $ip";

                      endif;

                 $sendmessage .= "</font></td>
                                  </tr>
                                  </table>
                                  </body>
                                  </html>";

                 $headers  = "MIME-Version: 1.0\n";
                 $headers .= "From: ".$header[name]."<".$form[email].">\n";
                 $headers .= "Content-Type: text/html; charset=".$config[charset]."\n";
                 $headers .= "X-Mailer: PHP/" . phpversion();

                 {
                 set_time_limit(30);

                      if (mail($form[send_to], $header[subject], $sendmessage, $headers)):

                      $okheader = "<p class=\"T\"><b>СООБЩЕНИЕ ОТПРАВЛЕНО!</b></p>";
                      $okmessage  = "<p class=\"T\">Спасибо, ".$form[name].", ваше сообщение успешно отправлено.";

                           if ($form[sendcopy] == "on" & $form[email] != "anonim@anonim.ru"):

                           $okmessage .= "<p class=\"T\">На ваш E-Mail (".$form[email].") послана копия письма. Через
                           несколько минут Вы можете проверить свой почтовый ящик, чтобы убедиться, что отправка прошла успешно.</p>";

                           endif;

                      include ("./ok.inc");

                      else:

                      $errorheader = "<p class=\"T\"><b>СООБЩЕНИЕ НЕ ОТПРАВЛЕНО!</b></p>";
                      $errormessage  = "<p class=\"T\">Произошла непредвиденная ошибка при попытке
                      отправить сообщение.</p>";
                      $errormessage .= "<p class=\"T\">Пожалуйста, вернитесь назад и попробуйте снова.
                      Если ошибка будет повторяться, обратитесь к <b><a href=\"mailto:".$config[admin_email]."\">Вебмастеру</a></b>.</p>";

                      include ("./error.inc");

                      endif;
                  }
          endif;
          
     endif;

endif;

if ($config[inc_headers] == "on"):

include ($config[footer]);

endif;

?>
</body>
</html>
